#!/usr/bin/perl
#
# Program that convert into ampl format
#

# Function that prints usage and exits
sub usage {
	print "\nUsage: $0 file\n\n";
	exit;
}

# Handle input files
$num_args = $#ARGV + 1;
if ($num_args != 1) {
	usage();
}
$file = $ARGV[0];
open(IN, $file) or die "Couldn't read $file: $!";
@lines = <IN>;
close(IN);


if (@lines[0] =~ /(\d+)\s(\d+)\s(\d+)/) {
	print "data;\n";
	print "param n := $1;\n";
	print "param m := $2;\n";
	print "param p := $3;\n";
	$n = $1;
} else {
die "Wrong file format: $!";
}
shift(@lines);
print "param d :=\n";
foreach $line (@lines) {
	
	if ($line =~ /(\d+)\s(\d+)/) {
		$temp = $2 - $n;
		print "$1 $temp 1\n";
	}
	
}
print ";";

