#!/usr/bin/perl
#
# Program that swaps position of items/users.
#

# Function that prints usage and exits
sub usage {
	print "\nUsage: $0 dimacs_file\n\n";
	exit;
}

# Handle input files
$num_args = $#ARGV + 1;
if ($num_args != 1) {
	usage();
}
$file = $ARGV[0];
open(IN, $file) or die "Couldn't read $file: $!";
@lines = <IN>;
close(IN);

# Store ids
$num_items;
$num_users;


# Read the file
$first = true;
foreach $line (@lines) {
	
	if ($first && $line =~ /(\d+)\s(\d+)\s(\d+)/) {	# First line
		
		$num_items	= $1;
		$num_users	= $2;
		$first = false;
		
		print "$2 $1 $3\n";
	
	} elsif ($line =~ /(\d+)\s(\d+)/) {			# Other lines (arcs)

		$a = $2 - $num_items;
		$b = $1 + $num_users;
		print "$a $b\n";

	}

}

